package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.util.List;

public class DrpProductionGeneratePurPlanDTO {
   @ApiModelProperty("生产计划ID")
   private @NotBlank(
   message = "生产计划单号为空!"
) String productionPlanId;
   @ApiModelProperty("新增采购计划详情")
   private List<DrpGeneratePurPlanDetailDTO> detailDTOList;

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public List<DrpGeneratePurPlanDetailDTO> getDetailDTOList() {
      return this.detailDTOList;
   }

   public void setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
   }

   public void setDetailDTOList(final List<DrpGeneratePurPlanDetailDTO> detailDTOList) {
      this.detailDTOList = detailDTOList;
   }
}
